Overview | Package | Class | Tree | Deprecated | Index | Help
| Simian - Similarity Analyser v2.2.21
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## au.com.redhillconsulting.simian
Class Language

    java.lang.Object
      au.com.redhillconsulting.simian.Language

All Implemented Interfaces:
  java.lang.Comparable

    public final class Language

extends java.lang.Object
implements java.lang.Comparable

Enumerates the various languages that control the behaviour of a `Checker`.

Version:
  $Id: Language.java 2991 2007-06-06 00:58:48Z haruki_zaemon $
Author:
  Simon Harris

Field Summary
`static Language` | `ASP` The Active Server Pages Language.
`static Language` | `C` The C language.
`static Language` | `C_SHARP` The C# language.
`static Language` | `COBOL_ABAP` The COBOL/ABAP language.
`static Language` | `CPP` The C++ language.
`static Language` | `HTML` The HyperText Markup Language.
`static Language` | `JAVA` The Java language.
`static Language` | `JAVA_SCRIPT` The JavaScript (ECMAScript) language.
`static Language` | `JSP` The Java Server Pages Language.
`static Language` | `RUBY` The Ruby language.
`static Language` | `SQL` The Structured Query Language.
`static Language` | `TEXT`
`static Language` | `VB` The Visual Basic Language
`static Language` | `XML` The eXtensible Markup Language.

Method Summary
`int` | `compareTo(Language other)`
`int` | `compareTo(java.lang.Object object)`
`java.lang.String` | `getName()` Obtains the name of the language.
`static java.util.SortedSet` | `getValidLanguages()` Obtains the set of all valid options.
`static boolean` | `isValidLanguage(java.lang.String extension)` Determines if a specified language is valid or not.
`java.lang.String` | `toString()`
`static Language` | `valueOf(java.lang.String extension)` Obtains a language by extension.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### JAVA

    public static final Language JAVA

  The Java language.

### JAVA_SCRIPT

    public static final Language JAVA_SCRIPT

  The JavaScript (ECMAScript) language.

### C_SHARP

    public static final Language C_SHARP

  The C# language.

### CPP

    public static final Language CPP

  The C++ language.

### C

    public static final Language C

  The C language.

### COBOL_ABAP

    public static final Language COBOL_ABAP

  The COBOL/ABAP language.

### RUBY

    public static final Language RUBY

  The Ruby language.

### XML

    public static final Language XML

  The eXtensible Markup Language.

### HTML

    public static final Language HTML

  The HyperText Markup Language.

### JSP

    public static final Language JSP

  The Java Server Pages Language.

### ASP

    public static final Language ASP

  The Active Server Pages Language.

### VB

    public static final Language VB

  The Visual Basic Language

### SQL

    public static final Language SQL

  The Structured Query Language.

### TEXT

    public static final Language TEXT

Method Detail

### getName

    public java.lang.String getName()

  Obtains the name of the language.

  Returns:
    The name of the language.

### compareTo

    public int compareTo(java.lang.Object object)

  Specified by:
    `compareTo` in interface `java.lang.Comparable`

### compareTo

    public int compareTo(Language other)

### getValidLanguages

    public static java.util.SortedSet getValidLanguages()

  Obtains the set of all valid options.

  Returns:
    The valid options.

### isValidLanguage

    public static boolean isValidLanguage(java.lang.String extension)

  Determines if a specified language is valid or not.

  Parameters:
    `extension` - The extension of the language to check for.
  Returns:
    `true` if the specified language is valid; otherwise `false`.

### valueOf

    public static Language valueOf(java.lang.String extension)

  Obtains a language by extension.

  Parameters:
    `extension` - The extension of the file.
  Returns:
    The language identified by the specified extension.

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Simian - Similarity Analyser v2.2.21
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2003-07 RedHill Consulting Pty. Ltd. All rights reserved.